- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QWindowsMobileStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qwindowsmobilestyle.h.

`#include <qwindowsmobilestyle.h>`

Inheritance diagram for QWindowsMobileStyle:
[legend]

List of all members.

## Public Member Functions
| QWindowsMobileStyle ()
void | drawPrimitive (PrimitiveElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget=0) const
void | drawControl (ControlElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget) const
void | drawComplexControl (ComplexControl control, const QStyleOptionComplex *option, QPainter *painter, const QWidget *widget) const
QSize | sizeFromContents (ContentsType type, const QStyleOption *option, const QSize &size, const QWidget *widget) const
QRect | subElementRect (SubElement element, const QStyleOption *option, const QWidget *widget) const
QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *widget) const
QPixmap | generatedIconPixmap (QIcon::Mode iconMode, const QPixmap &pixmap, const QStyleOption *option) const
QPixmap | standardPixmap (StandardPixmap sp, const QStyleOption *option, const QWidget *widget) const
int | pixelMetric (PixelMetric metric, const QStyleOption *option=0, const QWidget *widget=0) const
int | styleHint (StyleHint hint, const QStyleOption *opt=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const
void | polish (QApplication *)
void | unpolish (QApplication *)
void | polish (QWidget *widget)
void | unpolish (QWidget *widget)
void | polish (QPalette &)
QPalette | standardPalette () const
bool | doubleControls () const
void | setDoubleControls (bool)
## Protected Member Functions
| QWindowsMobileStyle (QWindowsMobileStylePrivate &dd)

## Constructor & Destructor Documentation

QWindowsMobileStyle | ( |  | ) |

QWindowsMobileStyle | ( | QWindowsMobileStylePrivate & | dd | ) | `[protected]`

## Member Function Documentation

void drawPrimitive | ( | PrimitiveElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void drawComplexControl | ( | ComplexControl | control,
|  | const QStyleOptionComplex * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QSize sizeFromContents | ( | ContentsType | type,
|  | const QStyleOption * | option,
|  | const QSize & | size,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QRect subElementRect | ( | SubElement | element,
|  | const QStyleOption * | option,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | SubControl | sc,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QPixmap generatedIconPixmap | ( | QIcon::Mode | iconMode,
|  | const QPixmap & | pixmap,
|  | const QStyleOption * | option
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

QPixmap standardPixmap | ( | StandardPixmap | sp,
|  | const QStyleOption * | option,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

int pixelMetric | ( | PixelMetric | metric,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

int styleHint | ( | StyleHint | hint,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void unpolish | ( | QApplication * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void unpolish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QPalette standardPalette | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

bool doubleControls | ( |  | ) | const

Search for all occurrences

void setDoubleControls | ( | bool |  | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qwindowsmobilestyle.h

QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle
QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle QWindowsMobileStyle